#!/bin/bash


#creation de la bibliotheque avrrtc
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"avrrtc.d" -MT"avrrtc.d" -c -o"avrrtc.o" "avrrtc.c"

avr-ar -r "libavrrtc.a" avrrtc.o


#creation de la bibliotheque calibration
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"calibration.d" -MT"calibration.d" -c -o"calibration.o" "calibration.c"

avr-ar -r "libcalibration.a" calibration.o

#creation de la bibliotheque cc1101
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"cc1101.d" -MT"cc1101.d" -c -o"cc1101.o" "cc1101.c"


avr-ar -r "libcc1101.a" cc1101.o

#creation de la bibliotheque EEPROM
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"EEPROM.d" -MT"EEPROM.d" -c -o"EEPROM.o" "EEPROM.c"

avr-ar -r "libEEPROM.a" EEPROM.o


#creation de la bibliotheque panstamp
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"panstamp.d" -MT"panstamp.d" -c -o"panstamp.o" "panstamp.c"

avr-ar -r "libpanstamp.a" panstamp.o calibration.o avrrtc.o


#creation de la bibliotheque spi
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"spi.d" -MT"spi.d" -c -o"spi.o" "spi.c"

avr-ar -r "libspi.a" spi.o


#creation de la bibliotheque TimerOne
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"TimerOne.d" -MT"TimerOne.d" -c -o"TimerOne.o" "TimerOne.c"

avr-ar -r "libTimerOne.a" TimerOne.o


#creation de la bibliotheque WInterrupts
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -DF_CPU=16000000UL -MMD -MP -MF"WInterrupts.d" -MT"WInterrupts.d" -c -o"WInterrupts.o" "WInterrupts.c"

avr-ar -r "libWInterrupts.a" WInterrupts.o

#creation de la bibliotheque serialcom
avr-gcc -Wall -g2 -gstabs -fpack-struct -fshort-enums -std=gnu99 -funsigned-char -funsigned-bitfields -mmcu=atmega328p -MMD -MP -MF"serialcom.d" -MT"serialcom.d" -c -o"serialcom.o" "serialcom.c"


avr-ar -r "libserialcom.a" serialcom.o


